/********************************************/
/*  version history see InPro6860i.dd       */
/********************************************/
/*****************************************************************************
 * The manufacturer line
 *****************************************************************************
 */
// Replace following line with your manufacturer and device type as defined in Devices.cfg
// This is a HART 7 device so we will need treat the device type differently for legacy
// hosts (ie, .fms and .fm6)
//#if __TOKVER__ >= 800
//MANUFACTURER METTLER_TOLEDO, DEVICE_TYPE _ODO_6860i_EXP, DEVICE_REVISION 1, DD_REVISION 0
//#else
//MANUFACTURER METTLER_TOLEDO, DEVICE_TYPE _ODO_6860i, DEVICE_REVISION 1, DD_REVISION 0 
//#endif
     
#define _PDM_                 //Siemens system
#define _DTM_PDM1_             
//#define _DTM_only 
//#define _PRM_                 //Yokogawa system
     
    
#define  MT_DEVICE_NAME "InPro 6860i_mA"     // defined by mt 
        
                 
#ifdef _DTM_PDM1_
	#define __TOKVER__          800
    #define MT_DEVICE_TYPE      0x8e80
	MANUFACTURER 0x8e, DEVICE_TYPE 0x8e80, DEVICE_REVISION 1, DD_REVISION 1             
#else                                                                                            
	#if __TOKVER__ >= 800
    #define MT_DEVICE_TYPE      0x8E80
	MANUFACTURER METTLER_TOLEDO, DEVICE_TYPE _InPro6860i_EXP, DEVICE_REVISION 1, DD_REVISION 1
        #else
    #define MT_DEVICE_TYPE      0x0080
	MANUFACTURER METTLER_TOLEDO, DEVICE_TYPE _InPro6860i, DEVICE_REVISION 1, DD_REVISION 1
	#endif 
#endif     

#include "InPro6860i_MAIN.dd"
                                                     
